/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.valueobject;

/**
 * OASIS XLIFF の tool をあらわすバリューオブジェクト。
 */
public class BlancoXliffTool {
    /**
     * フィールド [tool-id]
     *
     * 項目の型 [java.lang.String]<br>
     * ツールID。
     */
    private String fToolId;

    /**
     * フィールド [tool-name]
     *
     * 項目の型 [java.lang.String]<br>
     * ツールの名称。
     */
    private String fToolName;

    /**
     * フィールド [tool-id]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ツールID。
     *
     * @param argToolId フィールド[tool-id]に格納したい値
     */
    public void setToolId(final String argToolId) {
        fToolId = argToolId;
    }

    /**
     * フィールド[tool-id]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ツールID。
     *
     * @return フィールド[tool-id]に格納されている値
     */
    public String getToolId() {
        return fToolId;
    }

    /**
     * フィールド [tool-name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ツールの名称。
     *
     * @param argToolName フィールド[tool-name]に格納したい値
     */
    public void setToolName(final String argToolName) {
        fToolName = argToolName;
    }

    /**
     * フィールド[tool-name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ツールの名称。
     *
     * @return フィールド[tool-name]に格納されている値
     */
    public String getToolName() {
        return fToolName;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.valueobject.BlancoXliffTool[");
        buf.append("tool-id=" + fToolId);
        buf.append(",tool-name=" + fToolName);
        buf.append("]");
        return buf.toString();
    }
}
